Bug 1138457 - clang-devel's CMake module refers to /usr/bin/clang-7 which does not exists
clang-devel's CMake module refers to /usr/bin/clang-7 which does not exists
Status: RESOLVED FIXED
: 1139012 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Development
Leap 15.1
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Aaron Puchert
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-17 13:42 UTC by Marius Kittler
Modified: 2019-10-29 17:23 UTC (History)
8 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marius Kittler 2019-06-17 13:42:22 UTC
The CMake find module "Clang" provided by the package `clang-devel` (clang-devel-7.0.1-lp151.1.1) refers to the binary `/usr/bin/clang-7` which does not exists.

This leads to the following configuration error if a CMake projects tries to make use of libTooling via `find_package(Clang ...)`:

```
[   84s] CMake Error at /usr/lib64/cmake/clang/ClangTargets.cmake:296 (message):
[   84s]   The imported target "clang" references the file
[   84s] 
[   84s]      "/usr/bin/clang-7"
[   84s] 
[   84s]   but this file does not exist.  Possible reasons include:
[   84s] 
[   84s]   * The file was deleted, renamed, or moved to another location.
[   84s] 
[   84s]   * An install or uninstall procedure did not complete successfully.
[   84s] 
[   84s]   * The installation package was faulty and contained
[   84s] 
[   84s]      "/usr/lib64/cmake/clang/ClangTargets.cmake"
[   84s] 
[   84s]   but not all the files it references.
[   84s] 
[   84s] Call Stack (most recent call first):
[   84s]   /usr/lib64/cmake/clang/ClangConfig.cmake:18 (include)
[   84s]   generator/CMakeLists.txt:43 (find_package)
[   84s] 
[   84s] 
[   85s] -- Configuring incomplete, errors occurred!
```

Note that this problem is not reproducible under Tumbleweed. So a fix is likely already available and only needs to be backported to Leap 15.1.

I encountered the issue here: https://build.opensuse.org/package/live_build_log/home:mkittler:vcs/reflective-rapidjson/openSUSE_Leap_15.1/x86_64

But as I said, a minimal CMake project with has `find_package(Clang REQUIRED)` should be sufficient to reproduce.
Comment 1 Wolfgang Bauer 2019-06-22 17:51:11 UTC
*** Bug 1139012 has been marked as a duplicate of this bug. ***
Comment 2 Wolfgang Bauer 2019-06-22 18:01:07 UTC
FTR, this was fixed in Factory by https://build.opensuse.org/request/show/685028.
Comment 3 Alynx Zhou 2019-07-01 03:34:47 UTC
Assigned but it seems can be solved by upgrading.
Comment 4 Michael Matz 2019-07-01 12:28:13 UTC
llvm7 has no bugowner in openSUSE, but Aaron did the last changes and is llvm8
maintainer, so he seems a good fit for this one, probably just needs a submission to leap, or something.
Comment 5 Wolfgang Bauer 2019-07-01 12:43:13 UTC
(In reply to Michael Matz from comment #4)
> llvm7 has no bugowner in openSUSE
Hm, that's bad.
Maybe something should be done about this?

, but Aaron did the last changes and is
> llvm8
> maintainer, so he seems a good fit for this one, probably just needs a
> submission to leap, or something.
Aaron already stated in bug#1120098 that he probably cannot do much about it, as the package is coming from SLE.

It seems we are turning in circles here... :-/
Comment 6 Wolfgang Bauer 2019-07-01 12:47:37 UTC
Well, I'll just add the same people here to CC as Aaron did in the other bug report...
Comment 7 Michael Matz 2019-07-01 13:03:00 UTC
(In reply to Wolfgang Bauer from comment #5)
> (In reply to Michael Matz from comment #4)
> > llvm7 has no bugowner in openSUSE
> Hm, that's bad.
> Maybe something should be done about this?

Maybe, something, yes.

> , but Aaron did the last changes and is
> > llvm8
> > maintainer, so he seems a good fit for this one, probably just needs a
> > submission to leap, or something.
> Aaron already stated in bug#1120098 that he probably cannot do much about
> it, as the package is coming from SLE.
> 
> It seems we are turning in circles here... :-/

AFAIK anyone can submit to Leap.  It will create a package split between
SLE and Leap, buf if that is what is needed, then it is.  (Of course a SR
might still be declined, one has to try)
Comment 8 Dominique Leuenberger 2019-07-01 13:08:52 UTC
(In reply to Michael Matz from comment #7)
> > Aaron already stated in bug#1120098 that he probably cannot do much about
> > it, as the package is coming from SLE.
> > 
> > It seems we are turning in circles here... :-/
> 
> AFAIK anyone can submit to Leap.  It will create a package split between
> SLE and Leap, buf if that is what is needed, then it is.  (Of course a SR
> might still be declined, one has to try)

If it's a package coming from SLE: why not fix the bug in SLE? It must expose the same error after all, no? Why leave the enterprise customers hanging with broken packages?

> ibs maintainer llvm7
Defined in package: SUSE:SLE-15-SP1:GA/llvm7 
  bugowner of llvm7 : 
   michalsrb
Comment 10 Wolfgang Bauer 2019-07-01 16:15:39 UTC
(In reply to Dominique Leuenberger from comment #8)
> > ibs maintainer llvm7
> Defined in package: SUSE:SLE-15-SP1:GA/llvm7 
>   bugowner of llvm7 : 
>    michalsrb
Unfortunately, michalsrb is no longer with us, i.e. (open)SUSE, AFAIK... :-/
Comment 11 Aaron Puchert 2019-07-01 16:22:12 UTC
(In reply to Dominique Leuenberger from comment #8)
> (In reply to Michael Matz from comment #7)
> > AFAIK anyone can submit to Leap.  It will create a package split between
> > SLE and Leap, buf if that is what is needed, then it is.  (Of course a SR
> > might still be declined, one has to try)
> 
> If it's a package coming from SLE: why not fix the bug in SLE? It must
> expose the same error after all, no? Why leave the enterprise customers
> hanging with broken packages?
Makes sense to me. If SUSE is not willing to port this back, I'm of course open to submitting directly to Leap. My impression though was that this must be declined for policy reasons.

> > ibs maintainer llvm7
> Defined in package: SUSE:SLE-15-SP1:GA/llvm7 
>   bugowner of llvm7 : 
>    michalsrb
According to mpluskal (https://build.opensuse.org/request/show/702714), michalsrb has left the company. He also no longer maintains older llvm versions.
Comment 12 Aaron Puchert 2019-07-01 22:00:34 UTC
Opened https://build.opensuse.org/request/show/712921. Let's see if this goes through. I'll leave it to you whether to update SLE 15 as well.
Comment 13 Aaron Puchert 2019-07-05 20:41:08 UTC
Request got accepted, update should come soon.
Comment 14 Swamp Workflow Management 2019-07-19 10:25:41 UTC
openSUSE-RU-2019:1710-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1138457
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    llvm7-7.0.1-lp151.2.3.1
Comment 15 Swamp Workflow Management 2019-09-30 15:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1138457) was mentioned in
https://build.opensuse.org/request/show/734106 Factory / doxygen
Comment 18 Swamp Workflow Management 2019-10-29 17:23:57 UTC
SUSE-RU-2019:2811-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1138457
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    llvm7-7.0.1-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    llvm7-7.0.1-3.3.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    llvm7-7.0.1-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    llvm7-7.0.1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.